### Method

# Camel ObjectBag peek

#### Declaration [src]

    gpointer
    camel_object_bag_peek (
      CamelObjectBag* bag,
      gconstpointer key
    )

#### Description [src]

Returns the object for `key` in `bag`, ignoring any reservations. If it isn’t committed, then it isn’t considered. This should only be used where reliable transactional-based state is not required.

Unlink other “peek” operations, the caller owns the returned object reference. Use g_object_unref () to unreference it.

#### Parameters

`key`

  Type: `gconstpointer`

  An unreserved key.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gpointer`

The object for `key`, or `NULL` if `key` is reserved or not found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.